aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorge Burgess IV <gbiv@google.com>2020-06-18 18:05:18 -0700
committerGeorge Burgess <gbiv@chromium.org>2020-06-19 01:08:45 +0000
commit576a953cb1d88d4bb2743199147b2c1899d5091c (patch)
treee624df565686ddb06b52c31dd1d5dc168df60d14
parenta6ad382ccc7f60ed9feda06d8fcbab62980c62f8 (diff)
downloadtoolchain-utils-576a953cb1d88d4bb2743199147b2c1899d5091c.tar.gz
wrapper: tweak "toolchain doesn't exist" checks in the updater
When stderr is connected to a tty, equery will output things if it fails due to being unable to find a package. When it's not, equery will output nothing on failure. BUG=None TEST=./update_compiler_wrapper.sh Change-Id: I7d16d6a531f1f28fc0157873176d41f6881cd04b Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/third_party/toolchain-utils/+/2252550 Reviewed-by: Manoj Gupta <manojgupta@chromium.org> Tested-by: George Burgess <gbiv@chromium.org>
-rwxr-xr-xcompiler_wrapper/update_compiler_wrapper.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/compiler_wrapper/update_compiler_wrapper.sh b/compiler_wrapper/update_compiler_wrapper.sh
index 69484308..479b112c 100755
--- a/compiler_wrapper/update_compiler_wrapper.sh
+++ b/compiler_wrapper/update_compiler_wrapper.sh
@@ -21,20 +21,20 @@ sudo cp ../binary_search_tool/bisect_driver.py /usr/bin
echo "/usr/bin/clang_host_wrapper/bisect_driver.py"
# Update the target wrappers
for GCC in cross-x86_64-cros-linux-gnu/gcc cross-armv7a-cros-linux-gnueabihf/gcc cross-aarch64-cros-linux-gnu/gcc; do
- if ! FILES="$(equery f $GCC)"; then
- if equery l "${GCC}" 2>&1 | grep -q "No installed packages"; then
- echo "no $GCC package found; skipping" >&2
+ if ! FILES="$(equery f ${GCC})"; then
+ if [[ $(equery l "${GCC}" 2>&1 | wc -c) -eq 0 ]]; then
+ echo "no ${GCC} package found; skipping" >&2
continue
fi
- # Something went wrong, and the equery above probably diagnosed it.
+ # Something went wrong, and the equery above probably complained about it.
exit 1
fi
./build.py --config=cros.hardened --use_ccache=false --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.noccache
sudo mv ./sysroot_wrapper.hardened.noccache "$(grep sysroot_wrapper.hardened.noccache <<< "${FILES}")"
- echo "$(grep sysroot_wrapper.hardened.noccache <<< "${FILES}")"
+ grep sysroot_wrapper.hardened.noccache <<< "${FILES}"
./build.py --config=cros.hardened --use_ccache=true --use_llvm_next=false --output_file=./sysroot_wrapper.hardened.ccache
sudo mv ./sysroot_wrapper.hardened.ccache "$(grep sysroot_wrapper.hardened.ccache <<< "${FILES}")"
- echo "$(grep sysroot_wrapper.hardened.ccache <<< "${FILES}")"
+ grep sysroot_wrapper.hardened.ccache <<< "${FILES}"
sudo cp ../binary_search_tool/bisect_driver.py "$(grep bisect_driver.py <<< "${FILES}")"
- echo "$(grep bisect_driver.py <<< "${FILES}")"
+ grep bisect_driver.py <<< "${FILES}"
done